deleting layer filters

i am using autocad 2004 and when i open the layer properties manager, i cannot see any of the drawing layers because of a layer filter that was
set by a previous user. is there any way to delete layer filters?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
    Assuming you are only dealing with the issue of a single layer filter: At the top left of the layer manager is the layer filter that is active, at that location is the name of the current layer filter. This name box can be selected and changed to show all layers. To delete the filter, directly to the right of this layer filter name isthe down arrow where you select from the list of layer filters, but just to the right of that is a box with 3 dots in it. clicking there will bring up the layer filter manager. In the layer filter manager there is a delete all button. This will remove all layer filters, but can be slow (I have seen it take 15 minutes on drawings received from outside consultants who deal with hundreds of other companies that each have layer filters in place, and any importing from a drawing acquires all layer filters in the source drawing) if there are a lot of filters. The saved drawing file size will shrink drastically if you save at this point     If layer filters are a recurring problem, there are multiple solutions out there that are much quicker if you are using full-blown autocad and not LT. I suggest searching this group for layer filter in the topic. My personal preference is one called ecln which is a free download but you'll have to search through the messages for the download site since I don't remember where I found it, but it is really quite good.
donnie wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

This very simple filter works for me:
;;; Removes named layer filters ;;; Command line: (Purgefilters) (defun Purgefilters () (vl-Catch-All-Apply '(lambda () (vla-Remove      (vla-GetExtensionDictionary      (vla-Get-Layers      (vla-Get-ActiveDocument (vlax-Get-Acad-Object))      )      )      "ACAD_LAYERFILTERS" ) ) ) (princ) )
Save it ie. PURGEFILTERS.LSP and run. Remember to use the parentheses with the command.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.